curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Delete glossary
When purge is false the glossary is soft-deleted; unlike term bases, glossaries do not appear in the deleted-resources recycle bin, so there is currently no way to restore one. When purge is true the glossary is permanently deleted and cannot be restored. Term content for a glossary (create/get/update/delete term, browse/search, import, export, metadata) is managed at /api2/v1/termBases/, passing the glossary UID as termBaseUid — Glossary and TermBase are sibling resource types, and the polymorphic termBases content endpoints accept a glossary UID directly.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the glossary
Query Parameters
When false the glossary is soft-deleted; unlike term bases, glossaries do not appear in the deleted-resources recycle bin, so there is currently no way to restore one. When true the glossary is permanently deleted and cannot be restored.
Response
No Content
Was this page helpful?